Subject: Re: [PATCH net v2 2/2] ipv6/udp: use sticky pktinfo egress ifindex on connect()

From: David Ahern <[email-masked]>
Date: Mon, 1 Feb 2016 19:06:15 -0700

On 1/31/16 7:23 PM, YOSHIFUJI Hideaki wrote:
>
>
> Hannes Frederic Sowa wrote:
>> On 29.01.2016 12:30, Paolo Abeni wrote:
>>> Currently, the egress interface index specified via IPV6_PKTINFO
>>> is ignored by __ip6_datagram_connect(), so that RFC 3542 section 6.7
>>> can be subverted when the user space application calls connect()
>>> before sendmsg().
>>> Fix it by initializing properly flowi6_oif in connect() before
>>> performing the route lookup.
>>>
>>> Signed-off-by: Paolo Abeni <[email-masked]>
>>
>> Acked-by: Hannes Frederic Sowa <[email-masked]>
>>
>>
>
> Acked-by: YOSHIFUJI Hideaki <[email-masked]>
>

Dave:

Can you queue these up for 4.4 stable? Fixes 'ping6 -I <interface>' for 
VRFs and 4.4 is the first release with VRF for IPv6.

Thanks,

David